--- options.py.orig	2010-05-03 00:57:11 +0200
+++ options.py	2010-05-03 00:59:44 +0200
@@ -63,6 +63,13 @@
         - B{transport} - The message transport.
                 - type: L{Transport}
                 - default: None
+        - B{async} - Allow asynchrounous usage of the library,
+            Invoking a method will return a suds.transport.Request object with the
+            SOAP message
+            Invoking the method 'processreply' with a suds.transport.Reply processes
+            the message as normal
+                - type: I{bool}
+                - default: False
         - B{soapheaders} - The soap headers to be included in the soap message.
                 - type: I{any}
                 - default: None
@@ -100,6 +107,7 @@
             Definition('cache', Cache, NoCache()),
             Definition('faults', bool, True),
             Definition('transport', Transport, None, TpLinker()),
+            Definition('async', bool, False),
             Definition('service', (int, basestring), None),
             Definition('port', (int, basestring), None),
             Definition('location', basestring, None),
